Bug 700195 - [abrt] telepathy-sunshine-0.1.8-3.fc15: sem_wait: Process /usr/bin/python was killed by signal 6 (SIGABRT)
Summary: [abrt] telepathy-sunshine-0.1.8-3.fc15: sem_wait: Process /usr/bin/python was...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-sunshine
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cf0d357efb979b34231d878b80a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-27 18:11 UTC by Michal Klich
Modified: 2011-06-09 00:02 UTC (History)
3 users (show)

Fixed In Version: telepathy-sunshine-0.2.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-04 03:03:06 UTC
Type: ---


Attachments (Terms of Use)
File: event_log (10.31 KB, text/plain)
2011-04-27 18:11 UTC, Michal Klich
no flags Details
File: build_ids (4.64 KB, text/plain)
2011-04-27 18:11 UTC, Michal Klich
no flags Details
File: dsos (32.08 KB, text/plain)
2011-04-27 18:11 UTC, Michal Klich
no flags Details
File: maps (40.96 KB, text/plain)
2011-04-27 18:11 UTC, Michal Klich
no flags Details
File: backtrace (68.28 KB, text/plain)
2011-04-27 18:12 UTC, Michal Klich
no flags Details

Description Michal Klich 2011-04-27 18:11:47 UTC
abrt version: 2.0.1
executable: /usr/bin/python
cmdline: /usr/bin/python /usr/libexec/telepathy-sunshine
component: telepathy-sunshine
crash_function: sem_wait
kernel: 2.6.38.3-18.fc15.x86_64
architecture: x86_64
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)
package: telepathy-sunshine-0.1.8-3.fc15
username: michal
uid: 501
rating: 4
time: 1303927083
os_release: Fedora release 15 (Lovelock)

Text file: event_log, 10560 bytes
Text file: build_ids, 4756 bytes
Binary file: coredump, 33071104 bytes
Text file: dsos, 32849 bytes
Text file: maps, 41946 bytes
Text file: backtrace, 69922 bytes

environ
-----
SHELL=/bin/bash
DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-WVkOa44N1E,guid=f6d2fd1b5f824ac777f16d820000003e
XDG_SESSION_COOKIE=9fedfb1b23ac7c13ce4883560000001b-1303832233.898271-139003181
XDG_RUNTIME_DIR=/run/user/michal
DISPLAY=:0
DESKTOP_SESSION=gnome
SSH_AUTH_SOCK=/tmp/keyring-C1XQTe/ssh
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1270,unix/unix:/tmp/.ICE-unix/1270
WINDOWPATH=1
PATH=/usr/local/bin:/usr/bin:/bin
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
USERNAME=michal
GDMSESSION=gnome
XDG_SESSION_ID=1
GPG_AGENT_INFO=/tmp/keyring-C1XQTe/gpg:0:1
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-WVkOa44N1E,guid=f6d2fd1b5f824ac777f16d820000003e
XAUTHORITY=/var/run/gdm/auth-for-michal-tLesej/database
USER=michal
DBUS_STARTER_BUS_TYPE=session
PWD=/home/michal
GDM_LANG=pl_PL.utf8
SHLVL=1
GNOME_KEYRING_CONTROL=/tmp/keyring-C1XQTe
LANG=pl_PL.utf8
_=/usr/bin/dbus-launch
LOGNAME=michal
HOME=/home/michal

Comment 1 Michal Klich 2011-04-27 18:11:50 UTC
Created attachment 495301 [details]
File: event_log

Comment 2 Michal Klich 2011-04-27 18:11:52 UTC
Created attachment 495302 [details]
File: build_ids

Comment 3 Michal Klich 2011-04-27 18:11:55 UTC
Created attachment 495303 [details]
File: dsos

Comment 4 Michal Klich 2011-04-27 18:11:58 UTC
Created attachment 495304 [details]
File: maps

Comment 5 Michal Klich 2011-04-27 18:12:02 UTC
Created attachment 495305 [details]
File: backtrace

Comment 6 Julian Sikorski 2011-04-27 20:03:48 UTC
What exactly were you doing when this happened?

Comment 7 Michal Klich 2011-04-27 20:10:10 UTC
Yes, that is me again.
Thing is i am not sure what i was doing. Error, i am not sure if this is same, i could report everyone taht happens if you want, however it mostly happens when i am logging in.

Comment 8 Julian Sikorski 2011-04-27 20:21:50 UTC
I can prepare a package from latest git code if you would be willing to try it.

Comment 9 Michal Klich 2011-04-27 20:44:26 UTC
Please do, anything to fix this.

Comment 10 Julian Sikorski 2011-04-27 21:29:10 UTC
http://belegdol.fedorapeople.org/telepathy-sunshine-0.1.8-11.fc15.noarch.rpm

Try with this one, this is the latest git code.

Comment 11 Krzysztof Klinikowski 2011-04-28 09:16:15 UTC
Yeah, try this, please. There was some changes that could help with stability of sunshine.

There is a important fix too related to disconnecting from GG servers after every message that was sent.

Comment 12 Michal Klich 2011-05-04 19:29:13 UTC
It is lookin' good. I do not have errors anymore, it also is more stable. What i mean is that it does not disconnect me when i talk with someone.
But i am unable to remove any contacts. I should probably raise a new ticket for this.

Comment 13 Julian Sikorski 2011-05-04 19:35:09 UTC
Krzysztof can probably elaborate, but IIRC not being able to delete the contacts is a general problem with third-party GG clients. It does not work with Adium, and AFAIK not even with WebGadu.

Comment 14 Krzysztof Klinikowski 2011-05-04 22:04:32 UTC
And older GG clients too. It's broken since GG Team implemented contactlist synchronisation but they forgot about backward compatibility. All libgadu clients, webgadu and older GG clients have this problem. We dont know how synchronisation works so we cannot fix it for now.

Comment 15 Marek Michał Mazur 2011-05-23 20:47:51 UTC
Package: telepathy-sunshine-0.1.8-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
telepathy-sunshine tried to connect with GG server.

Comment 16 Marek Michał Mazur 2011-05-23 20:54:08 UTC
Nie ważne czy to GG Team wini czy nie - sunshine nie powinno się tak niegrzecznie kończyć.
Problem występuje tylko raz po włączeniu empathy, później łączy się normalnie.

Comment 17 Marek Michał Mazur 2011-05-23 22:15:45 UTC
Package: telepathy-sunshine-0.1.8-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Idle

Comment 18 Fedora Update System 2011-05-29 22:09:59 UTC
telepathy-sunshine-0.2.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/telepathy-sunshine-0.2.0-1.fc15

Comment 19 Fedora Update System 2011-05-29 22:14:14 UTC
telepathy-sunshine-0.2.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/telepathy-sunshine-0.2.0-1.fc14

Comment 20 Fedora Update System 2011-05-29 22:16:43 UTC
telepathy-sunshine-0.2.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/telepathy-sunshine-0.2.0-1.fc13

Comment 21 Fedora Update System 2011-05-30 22:27:04 UTC
Package telepathy-sunshine-0.2.0-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing telepathy-sunshine-0.2.0-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/telepathy-sunshine-0.2.0-1.fc15
then log in and leave karma (feedback).

Comment 22 Fedora Update System 2011-06-04 03:02:51 UTC
telepathy-sunshine-0.2.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2011-06-08 23:58:01 UTC
telepathy-sunshine-0.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2011-06-09 00:02:11 UTC
telepathy-sunshine-0.2.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.